CVE-2007-2525

Published: 08 May 2007

Memory leak in the PPP over Ethernet (PPPoE) socket implementation in the Linux kernel before 2.6.21-git8 allows local users to cause a denial of service (memory consumption) by creating a socket using connect, and releasing it before the PPPIOCGCHAN ioctl is initialized.

Priority

Unknown

Status

Package Release Status
linux-source-2.6.15
Launchpad, Ubuntu, Debian
Upstream Needs triage

linux-source-2.6.17
Launchpad, Ubuntu, Debian
Upstream Needs triage

linux-source-2.6.20
Launchpad, Ubuntu, Debian
Upstream Needs triage